Subject: Re: bug#10613: 24.0.92; Odd behavior of kill interspersed with suspend: document or change?

From: Kevin Rodgers <[email-masked]>
Date: Thu, 02 Feb 2012 01:10:53 -0700

On 1/26/12 8:21 AM, Reuben Thomas wrote:
> If a sequence of kill commands is interspersed with a suspend
> (suspend-emacs or suspend-frame, for example), then the kills are not
> treated as a contiguous sequence, and a following yank does not yank all
> the text killed.
>
> This feels a bit odd, as “suspend” is not a normal command: rather like
> suspending a computer, I expect that after resuming Emacs, it will be in
> the same state as when suspended. But this is not the case: if one
> suspends Emacs after a kill command, then on resumption a further kill
> will start a new kill-ring entry.

What is abnormal about the suspend-* commands, from Emacs' perspective?

> Is this behavior worth reconsidering? If not, is it worth documenting?
> (Presumably under suspend, rather than under killing, as I imagine this
> behavior changing has implications for things beyond the kill-ring.)
..

-- 
Kevin Rodgers
Denver, Colorado, USA